#! /bin/bash

# remove the preference pane
sudo rm -rf "/Library/PreferencePanes/Sixty-Two Audio Control Panel.prefPane"

# this cleans the system preferences cache
rm "$HOME/Library/Caches/com.apple.preferencepanes.cache"
rm "$HOME/Library/Caches/com.apple.preferencepanes.searchindexcache"

# remove the kernel extension
sudo rm -rf "/System/Library/Extensions/SixtyTwo.kext"
sudo rm -rf "/System/Library/Extensions/SixtyTwo.10.6.kext"

# turn off the settings service
sudo launchctl unload /Library/LaunchDaemons/com.rane.sixtytwo.daemon.plist
sudo rm /Library/LaunchDaemons/com.rane.sixtytwo.daemon.plist
sudo rm /Library/PrivilegedHelperTools/SixtyTwoSettingsService

# remove the api
sudo rm -rf /Library/Frameworks/SixtyTwoApi.framework

# remove the midi driver
sudo rm -rf "/Library/Audio/MIDI Drivers/SixtyTwoMidiDriver.plugin"

# remove prefs file
sudo rm -f /var/root/Library/Preferences/SixtyTwoSettingsService.plist

#sudo reboot


